## hsqldb1.8.0 1.8.0.10+dfsg

=== debian/changelog ===
hsqldb1.8.0 (1.8.0.10+dfsg-14) unstable; urgency=medium

  * fix jh_classpath call (actually use new DEB_VERSION_UPSTREAM) to go sure
  * (re)add avoid-execution-of-spurious-command-in-script-or-log-file.diff to
    debian/patches/series, lost in 1.8.0.10+dfsg-12.1 NMU
  * remove Suggests on libhsqldb1.8.0-java-gcj which is long obsolete

 -- Rene Engelhard <rene@debian.org>  Tue, 09 Sep 2025 17:11:52 +0200

hsqldb1.8.0 (1.8.0.10+dfsg-13) unstable; urgency=medium

  * remove obsolete files in debian/ which we don't need since we only ship
    libhsqldb1.8.0-java 
  * migrate to dh $@ --with javahelper --buildsystem ant and drop cdbs usage
    (closes: #1099967)

 -- Rene Engelhard <rene@debian.org>  Mon, 08 Sep 2025 20:17:04 +0200

hsqldb1.8.0 (1.8.0.10+dfsg-12.1) unstable; urgency=medium

  * Non-maintainer upload
  * Convert to source format 3.0 (closes: #1007031)
  * Drop build/build.xml-old

 -- Bastian Germann <bage@debian.org>  Sun, 09 Jun 2024 20:21:01 +0000

hsqldb1.8.0 (1.8.0.10+dfsg-12) unstable; urgency=medium

  * add patch from upstream to
    avoid execution of spurious command in script or log file
    (CVE-2023-1183)

 -- Rene Engelhard <rene@debian.org>  Wed, 15 Feb 2023 07:46:52 +0100

hsqldb1.8.0 (1.8.0.10+dfsg-11) unstable; urgency=medium

  * bump dh compat to 7 (closes: #965583) 

 -- Rene Engelhard <rene@debian.org>  Tue, 28 Dec 2021 19:11:06 +0100

hsqldb1.8.0 (1.8.0.10+dfsg-10) unstable; urgency=medium

  * add patch from LO to fix build with Java 11 (closes: #913051)

 -- Rene Engelhard <rene@debian.org>  Tue, 06 Nov 2018 19:50:10 +0000

hsqldb1.8.0 (1.8.0.10+dfsg-9) unstable; urgency=medium

  * fix override disparity
  * declare that we support multiple ResultSets (used by LO)
  * rm debian/watch, there will be no new upstream versions here anyway

 -- Rene Engelhard <rene@debian.org>  Sat, 03 Mar 2018 21:39:02 +0100

hsqldb1.8.0 (1.8.0.10+dfsg-8) unstable; urgency=medium

  * remove Implementation-{Vendor,Version} from MANIFEST.MK
    and thus make it reproducible

 -- Rene Engelhard <rene@debian.org>  Wed, 16 Aug 2017 21:55:08 +0200

hsqldb1.8.0 (1.8.0.10+dfsg-7) unstable; urgency=medium

  * [77412fc] move Maintainer: to Debian LibreOffice Maintainers
    (as we keep this for LO only anyway.)

 -- Rene Engelhard <rene@debian.org>  Wed, 07 Sep 2016 07:41:43 +0200

hsqldb1.8.0 (1.8.0.10+dfsg-6) unstable; urgency=medium

  * fix servlet depends (closes: #815562) 

 -- Rene Engelhard <rene@debian.org>  Mon, 22 Feb 2016 19:52:14 +0100

hsqldb1.8.0 (1.8.0.10+dfsg-5) unstable; urgency=medium

  * also update jh_classpath call for servlet3.1 (closes: #804022) 

 -- Rene Engelhard <rene@debian.org>  Sat, 07 Nov 2015 13:43:24 +0100

hsqldb1.8.0 (1.8.0.10+dfsg-4) unstable; urgency=medium

  * remove last remains of -gcj package (on kfreebsd). kfreebsd
    is supposed to use OpenJDK, too now 

  * update to libservlet3.1-java (closes: #801013) 

 -- Rene Engelhard <rene@debian.org>  Sat, 31 Oct 2015 17:01:57 +0100

hsqldb1.8.0 (1.8.0.10+dfsg-3) unstable; urgency=low

  * upload to unstable
  * actually move to oldlibs
  * change Maintainer to debian-openoffice@lists.debian.org as we just keep
    this for LO 

 -- Rene Engelhard <rene@debian.org>  Fri, 19 Apr 2013 00:21:57 +0200

hsqldb1.8.0 (1.8.0.10+dfsg-2) experimental; urgency=low

  * reupload as hsqldb1.8.0 / libhsqldb1.8.0-java to make space
    for non-ancient libhsqldb-java
  * stop building -doc, -server, -utils
  * move to oldlibs 
  * remove maven stuff, this here is just shipped for LO... 

 -- Rene Engelhard <rene@debian.org>  Mon, 18 Mar 2013 23:40:35 +0100

hsqldb (1.8.0.10+dfsg-1) unstable; urgency=low

  * remove lib/servlet.jar and make the build actually use
    /usr/share/java/servlet-api-2.5.jar...

 -- Rene Engelhard <rene@debian.org>  Mon, 18 Mar 2013 22:30:20 +0100

hsqldb (1.8.0.10-14) unstable; urgency=low

  * revert -13 changes, apply fix from upstream to fix preprocessing,
    thanks Lionel Elie Mamane 

 -- Rene Engelhard <rene@debian.org>  Tue, 17 Jul 2012 21:21:27 +0200

hsqldb (1.8.0.10-13) unstable; urgency=low

  * explicitly build with openjdk-7 as the Java7 patch doesn't
    seem to be working with gcj (closes: #675834). Thus ...
  * ... disable -gcj 

 -- Rene Engelhard <rene@debian.org>  Wed, 20 Jun 2012 11:45:35 +0200

hsqldb (1.8.0.10-12) unstable; urgency=low

  * add patch to fix build with Java 7 

 -- Rene Engelhard <rene@debian.org>  Fri, 01 Jun 2012 19:41:24 +0200

hsqldb (1.8.0.10-11) unstable; urgency=low

  * add maven.publishedRules (patch by twerner, closes: #641691)
  * stop building -gcj - except on kfreebsd-* 

 -- Rene Engelhard <rene@debian.org>  Mon, 26 Sep 2011 16:14:57 +0000

hsqldb (1.8.0.10-10) unstable; urgency=low

  * fix builddep: s/default-jdk-builddep/default-jdk, gcj-native-helper/ 
  * libhsqldb-java-gcj: libs->java 
  * add missing run to mh_clean 
  * build-depend on javahelper and add Class-Path: to hsqldb-1.8.0.10.jar... 
  * stop depending on a jre on libhsqldb-java 

 -- Rene Engelhard <rene@debian.org>  Fri, 19 Aug 2011 20:54:56 +0000

hsqldb (1.8.0.10-9) unstable; urgency=low

  * oops, readd lost changes of -6.1 and fix changelog snafu 

 -- Rene Engelhard <rene@debian.org>  Mon, 21 Jun 2010 18:51:08 +0200

hsqldb (1.8.0.10-8) unstable; urgency=low

  * hardcode JAVA_EXECUTABLE to /usr/lib/jvm/java-gcj/bin/java
    (closes: #579740) 
  * add $remote_fs to Required-Stop:
  * build with libservlet2.5-java

 -- Rene Engelhard <rene@debian.org>  Mon, 21 Jun 2010 12:03:42 +0200

hsqldb (1.8.0.10-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Install POM file for hsqldb.jar. (Closes: #581851)

 -- Torsten Werner <twerner@debian.org>  Sun, 16 May 2010 23:08:11 +0200 

hsqldb (1.8.0.10-6) unstable; urgency=low

  * split utilities (hsqldb-*) into hsqldb-utils to allow
    co-installation of libraries of different versions

 -- Rene Engelhard <rene@debian.org>  Sun, 25 Oct 2009 02:19:13 +0200

hsqldb (1.8.0.10-5) unstable; urgency=low


