=== debian/control ===
Source: hsqldb1.8.0
Section: oldlibs
Priority: optional
Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
Uploaders: Rene Engelhard <rene@debian.org>
Build-Depends: debhelper (>= 7), default-jdk, ant (>= 1.7), libservlet3.1-java, maven-repo-helper, javahelper
Standards-Version: 3.7.2

Package: libhsqldb1.8.0-java
Architecture: all
Depends: libservlet3.1-java, ${misc:Depends}
Suggests: java-virtual-machine
Conflicts: openoffice.org-base (<< 1:2.3.1~m8)
Description: Java SQL database engine
 HSQLDB is an SQL relational database engine written in Java.  It has a
 JDBC driver and supports a rich subset of SQL-92 (BNF tree format) plus
 SQL:1999 and SQL:2003 enhancements.  It offers a small, fast database
 engine that offers both in-memory and disk-based tables.  Embedded and
 server modes are available.  Additionally, it includes tools such as a
 minimal web server, in-memory query and management tools (can be run as
 applets), and a number of demonstration examples.
 .
 Web site: http://hsqldb.org/
