=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

define combine-changelog
( \
    set -e; \
    set `echo $^ | tr ' ' '\n' | sort -r`; \
    for f; do \
        if [ $$f != $$1 ]; then \
            echo; echo; \
            for i in `seq 80`; do echo -n '='; done; \
            echo; echo; \
        fi; \
        fold -s $$f; \
   done \
) >$@
endef

changelog.combined: $(wildcard doc/changelist_*.txt)
	$(combine-changelog)

%:
	dh $@ --with javahelper --buildsystem ant -Dbuild

override_dh_auto_build:
	dh_auto_build -- hsqldb -Dant.build.javac.target=1.5 -Dant.build.javac.source=1.5
	dh_auto_build -- hsqldbutil -Dant.build.javac.target=1.5 -Dant.build.javac.source=1.5

override_dh_auto_install:
	dh_auto_install
	cd lib && mv hsqldb.jar hsqldb1.8.0.jar
	cd lib && mv hsqldbutil.jar hsqldbutil1.8.0.jar
	jh_installlibs --upstream-version $(DEB_VERSION_UPSTREAM) lib/hsqldb1.8.0.jar
	jh_installlibs --upstream-version $(DEB_VERSION_UPSTREAM) lib/hsqldbutil1.8.0.jar
	jh_linkjars
	jh_classpath -plibhsqldb1.8.0-java --classpath=/usr/share/java/servlet-api-3.1.jar \
		$(CURDIR)/debian/libhsqldb1.8.0-java/usr/share/java/hsqldb1.8.0-$(DEB_VERSION_UPSTREAM).jar

override_dh_installdocs: changelog.combined
	dh_installdocs changelog.combined
	cd $(CURDIR)/debian/libhsqldb1.8.0-java/usr/share/doc/libhsqldb1.8.0-java && \
		mv changelog.combined changelog

override_dh_auto_clean:
	dh_auto_clean
	rm -f lib/hsqldb1.8.0.jar
	rm -f lib/hsqldbutil1.8.0.jar
	rm -f NEWS changelog.combined
